<template>
  <div class="row q-col-gutter-sm">
    <div class="col">
      <q-toggle
        left-label
        checked-icon="check"
        unchecked-icon="clear"
        color="green"
        label="Habilitado"
        @input="updateEnabled"
        v-model="draft.enabled"
      />
    </div>
    <div class="col">
      <div class="q-gutter-sm">
      <q-option-group
        dense
        :options="options"
        label="Notifications"
        type="radio"
        @input="updateStatus"
        v-model="draft.status"
      />
    </div>
    </div>
  </div>
</template>

<script>
export default {
  props: ['business'],
  data () {
    return {
      draft: this.business,
      options: [
        { label: 'No aprobada', value: 0, color: 'red' },
        { label: 'En Revisión', value: 1, color: 'orange' },
        { label: 'Aprobada', value: 2, color: 'green' }
      ]
    }
  },
  methods: {
    async updateStatus (value) {
      switch (value) {
        case 0:
          this.draft.enabled = false
          break
        case 1:
          this.draft.enabled = false
          break
        case 2:
          this.draft.enabled = true
          break
      }
      this.$emit('update', this.draft)
    },
    async updateEnabled (value) {
      if (value) {
        this.draft.status = 2
      } else {
        this.draft.status = 1
      }
      this.$emit('update', this.draft)
    }
  }
}
</script>
